GNU bug report logs - #46666
package addition/update patch submissions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Andy Tai <lichengtai@HIDDEN>; Done: Leo Famulari <leo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 46666 <at> debbugs.gnu.org and Andy Tai <lichengtai@HIDDEN> Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46666 <at> debbugs.gnu.org:


Received: (at 46666) by debbugs.gnu.org; 20 Feb 2021 23:20:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 18:20:58 2021
Received: from localhost ([127.0.0.1]:53094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDbYY-0000xB-LK
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 18:20:58 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:49019)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lDbYW-0000wx-KU
 for 46666 <at> debbugs.gnu.org; Sat, 20 Feb 2021 18:20:57 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id D2EAD864;
 Sat, 20 Feb 2021 18:20:49 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Sat, 20 Feb 2021 18:20:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=J2hkBlDRLtcwnKiB30Opr8gx
 cAD0LiE0MIXwRUv2VWw=; b=yZfcW3x1XGtfdzlI6iaAMVxRluujNSt0zacAVA+9
 778wDSASr2rhuK7+0Y0NBqc3OfZycriUSZ9hkrMiqXgvmH1ffx656FE4o6HgP7k0
 gxFTPPBOs9NzjjkO0tV/4fdehbkc6J3NBsBuVXuT4hT1gWKrEnFjDaZeoUcWezf8
 XaY=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=J2hkBl
 DRLtcwnKiB30Opr8gxcAD0LiE0MIXwRUv2VWw=; b=oo5xsp9hHm8f2a8Ll31gb0
 QUwkfKdla6BwtZ7kDjnBQMWexArAAujLN9r5jMIangQbgZhT80aGm5wjYoT91xMp
 k5HwTIuc8SmoLuVrti1aSi9I6B+9pXTLkJAKmbrpKS70SVGrwJcPf7Tqz7JV0Fzr
 bSz3jVLLlPfuSiJfTHQ17FlqN/ad0ZZh3PrpogWCbkFKVq+AxXbJRL6c7eEZq5OE
 OefdvI/aOkG+4GD82Zy4ZTLN6Id+yOwXvFKx2m5kTyOS/5+AHxyZt5JQgHF2C/Wm
 GXkc+sDBdWA8v4fNPC6dG/+OxCzSqxkq+OZoo5D7ys/Gcmc+8mIdStP62V2QCIlw
 ==
X-ME-Sender: <xms:UZkxYMkDZG0i-xmEO1ygEfXJ2uysMCwGTB9SqUW6o70tnAXW41-f8Q>
 <xme:UZkxYL1OPoJViG8LS5ZB7lXldL-WKGjhoV0GaaIURPboImaB5Jbu7SxYHZE1XiTVU
 p7TnPlj0RSnZvWshA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrjeelgddtjecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttdertd
 dttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhlrghr
 ihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeukeektdffvddtudegjeegtdevhfeufe
 eivdejiedtieegtdevjedvjeehffevgfenucfkphepieelrdduvddtrdelvddrvddtkeen
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghose
 hfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:UZkxYKqs4eLigS9VW7hciSiBxPeKZetVFuHdfnkFfGVKnHcd8mOLRg>
 <xmx:UZkxYIms0jhjG-V_7B-bsRIfXXiiFDQ29GmaxhskZ7NjY3Ja15BSSg>
 <xmx:UZkxYK1QRpEaeoJ9H_wSUoW8omaQ36iUxr5qI_hEtJkDqZ8o-zV6vQ>
 <xmx:UZkxYDi8BLFqTmPY459ybpJpjIHBTIuwS8i03L-VAMAlGoIHWcDR2Q>
Received: from localhost (ool-45785cd0.dyn.optonline.net [69.120.92.208])
 by mail.messagingengine.com (Postfix) with ESMTPA id 10987240057;
 Sat, 20 Feb 2021 18:20:49 -0500 (EST)
Date: Sat, 20 Feb 2021 18:20:47 -0500
From: Leo Famulari <leo@HIDDEN>
To: Andy Tai <lichengtai@HIDDEN>
Subject: Re: bug#46666: package addition/update patch submissions
Message-ID: <YDGZT4TiTQ4mS3Xo@HIDDEN>
References: <CAJsg1E-FekCEoJPyuOeVwvLm70zj63vRJVx7tu8rTaBJbzT4Rw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAJsg1E-FekCEoJPyuOeVwvLm70zj63vRJVx7tu8rTaBJbzT4Rw@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46666
Cc: 46666 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sat, Feb 20, 2021 at 01:32:02PM -0800, Andy Tai wrote:
> Hi, I wonder if package patch submitter can in any way help to speed
> up the review of such patches?   I sent some patches some of which
> received quick feedback but some seem to be waiting for review for
> quiet some time.  I understand all these are done by volunteers.   I
> hope package patches can be applied more quickly to make Guix more "up
> to date" as a GNU/Linux distribution.  Just curious if there is any
> guideline to make package addition or update patches easier for the
> reviewers to process, thus speeding up submission application.  Thanks

Hi Andy,

I'll take a look at your open patches now and either push them or send
feedback. I'll also try to give feedback about easing the review
process.




Information forwarded to bug-guix@HIDDEN:
bug#46666; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2021 21:32:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 20 16:32:45 2021
Received: from localhost ([127.0.0.1]:53014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDZrp-0004ky-FU
	for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 16:32:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:45226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lichengtai@HIDDEN>) id 1lDZrm-0004kq-P3
 for submit <at> debbugs.gnu.org; Sat, 20 Feb 2021 16:32:43 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41020)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1lDZrm-0003kF-Fq
 for bug-guix@HIDDEN; Sat, 20 Feb 2021 16:32:42 -0500
Received: from mail-il1-x12b.google.com ([2607:f8b0:4864:20::12b]:33596)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lichengtai@HIDDEN>)
 id 1lDZrl-0005Mx-11
 for bug-guix@HIDDEN; Sat, 20 Feb 2021 16:32:42 -0500
Received: by mail-il1-x12b.google.com with SMTP id e2so7644993ilu.0
 for <bug-guix@HIDDEN>; Sat, 20 Feb 2021 13:32:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=Rmfv9jH/8RS6tWRIcCHpOjvvQxte1v/ZQK/GuxW8AnQ=;
 b=bKjAOYLXF2h3m/IPnZrSHgZeTXlULalgZS/sNSFaVTsIOYKCAzoCmCEYBsczShx38B
 LdieMAUXRzjjmsLkviqYeN6HqvI/JbiclBVDXya07EeU3Fd3ST9LJlr7nR1ebs4BFwj8
 Wsr4faGuht+WgF3LO9GPSeQb476YmSw0m8fTooaDIjnat0SJok96gTh6Lw9qUq61k+p0
 LBytvfEFIAaQRlX8xzPUQarE5WHjC98l5m6bY8PSwYsxK9rZHGGqYP27SfoSRzBfW09E
 /L5EL0inKPs96CIZkgscClnVCnP+x12EzxrhoOo9wDL+iP7KgFoaLNmCpoCbdbYkDnpF
 YIvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to
 :content-transfer-encoding;
 bh=Rmfv9jH/8RS6tWRIcCHpOjvvQxte1v/ZQK/GuxW8AnQ=;
 b=h2RulNBSs9aAtvgqezftZi+K8zDAXG9H+cTAz0J0aTrLFLgONmrEHLUJREyTe/tXKH
 QQfjDdzwAGd2PuqTIfBh3rhP11OGmKDTw36l3UPdH7n8Iw4yFAc6TvmnKrI5BsoxsYyh
 D/l+6ElqvgC36UomsbhBiHc+jjYT+qsMPIRT20qMXLvmpBLI8RslUaiJBMxXfEus1Ush
 jB/t/sy/4N+67eMuhuMLwH+vMRQa69wENjqhho4/fi+47NoAXYPA4a0kZ2uzgMrGn4J+
 T74NXD3kKzxeCgbkMi57+X+MxhnEEtcaC8WBaLqN+lF85gHayuQS88hXNTaR7rSpsREq
 bODA==
X-Gm-Message-State: AOAM531NY5OeJbhDEzJycVB2l8D+O48gPhanoejC7uhVr8DXCxAB54wB
 faTtVlab5ZJVzvDB+AOYKjmfXlSVCjIc2oiR90hZ4DpP3Bc=
X-Google-Smtp-Source: ABdhPJwqXNY7wht5r254XXJK7qdVcwuYaa0j038ofSFDeT3j7umjLYSUmXfez9PaGUJauOHEo7nN7Q+IUSeOnYVfUck=
X-Received: by 2002:a05:6e02:cb1:: with SMTP id
 17mr6039342ilg.271.1613856758671; 
 Sat, 20 Feb 2021 13:32:38 -0800 (PST)
MIME-Version: 1.0
From: Andy Tai <lichengtai@HIDDEN>
Date: Sat, 20 Feb 2021 13:32:02 -0800
Message-ID: <CAJsg1E-FekCEoJPyuOeVwvLm70zj63vRJVx7tu8rTaBJbzT4Rw@HIDDEN>
Subject: package addition/update patch submissions
To: bug-guix@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::12b;
 envelope-from=lichengtai@HIDDEN; helo=mail-il1-x12b.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi, I wonder if package patch submitter can in any way help to speed
up the review of such patches?   I sent some patches some of which
received quick feedback but some seem to be waiting for review for
quiet some time.  I understand all these are done by volunteers.   I
hope package patches can be applied more quickly to make Guix more "up
to date" as a GNU/Linux distribution.  Just curious if there is any
guideline to make package addition or update patches easier for the
reviewers to process, thus speeding up submission application.  Thanks

--=20
Andy Tai, atai@HIDDEN
Year 2021 =E6=B0=91=E5=9C=8B110=E5=B9=B4
=E8=87=AA=E5=8B=95=E7=9A=84=E7=B2=BE=E7=A5=9E=E5=8A=9B=E6=98=AF=E4=BF=A1=E4=
=BB=B0=E8=88=87=E8=A6=BA=E6=82=9F
=E8=87=AA=E5=8B=95=E7=9A=84=E8=A1=8C=E7=82=BA=E5=8A=9B=E6=98=AF=E5=8B=9E=E5=
=8B=95=E8=88=87=E6=8A=80=E8=83=BD




Acknowledgement sent to Andy Tai <lichengtai@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#46666; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 23 Feb 2021 20:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.